View Issue Details

IDProjectCategoryView StatusLast Update
0004360SymmetricDSImprovementpublic2020-07-08 08:24
Reporterelong Assigned Toelong  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.12.0 
Target Version3.12.0Fixed in Version3.12.0 
Summary0004360: Record node login failures and prevent too many logins
DescriptionRecord failed_logins on sym_node_security each time a node authentication fails. After reaching parameter node.password.failed.attempts=5, prevent further attempts to authenticate in order to prevent password guessing. If the node authentication is successful, set the failed_logins back to 0. Allow the node.password.failed.attempts parameter to be set to 0 to never lockout or set to -1 to disable this feature altogether.
Tagssecurity

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.12 28b6fabf

2020-04-22 11:14:08

admin

Details Diff
0004360: Record node login failures and prevent too many logins Affected Issues
0004360
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/common/ParameterConstants.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/model/NodeSecurity.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/INodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/NodeServiceSqlMap.java Diff File
mod - symmetric-core/src/main/resources/symmetric-default.properties Diff File
mod - symmetric-core/src/main/resources/symmetric-schema.xml Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/service/impl/MockNodeService.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/AuthenticationInterceptor.java Diff File

Issue History

Date Modified Username Field Change
2020-04-22 11:11 elong New Issue
2020-04-22 11:11 elong Status new => assigned
2020-04-22 11:11 elong Assigned To => elong
2020-04-22 11:15 elong Status assigned => resolved
2020-04-22 11:15 elong Resolution open => fixed
2020-04-22 11:15 elong Fixed in Version => 3.12.0
2020-04-22 12:00 admin Changeset attached => SymmetricDS 3.12 28b6fabf
2020-05-26 14:48 elong Status resolved => closed
2020-07-08 08:24 elong Tag Attached: security